<script setup lang="ts">
import MergeRequest from "@/entities/MergeRequest/MergeRequest.js";
import ColumnList from "@/components/organisms/list/ColumnList.vue";
import MergeRequestCard from "@/components/organisms/card/horizontal-card/MergeRequest/MergeRequestCard.vue";
import Repository from "@/entities/Repository/Repository.js";
import {onMounted, ref, watch} from "vue";

const props = defineProps<{ repository: Repository }>();

const mergeRequests: ref<Array<MergeRequest>> = ref<Array<MergeRequest>>([]);


const loadMR = () => {
  mergeRequests.value = props.repository.mergeRequests;
}

onMounted(loadMR)
watch(() => props.repository, loadMR)
</script>

<template>
  <ColumnList>
    <MergeRequestCard
        :mergeRequest="mr"
        :key="'mr_list_' + mr.code"
        v-for="(mr) of mergeRequests"
        :disabled="true"
    />
  </ColumnList>
</template>